.cover-container {
    height: inherit;
    width: inherit;
    overflow: hidden;
    position: relative;
}

.cover {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: inherit;
    height: inherit;
    opacity: 1;
    z-index: 1;
}

.cover img {
    min-height: 100%;
    min-width: 100%;
}

@keyframes eleanorFade {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.previous-front {
    z-index: 2;
    animation: eleanorFade 2s reverse;
}

.front {
    opacity: 0;
    z-index: 3;
    animation: eleanorFade 2s;
    animation-fill-mode: forwards;
}

.cover:first-child:not(.front) {
    z-index: 2;
}
